#if !defined(_TOPTCL_H_)
#define _TOPTCL_H_ 1
/* 
    RCS: $Header: /vol/cooley/cooley1/kennard/src/top/RCS/topTcl.h,v 1.2 93/08/27 14:28:50 kennard Exp $
    Author: Kennard White

    Copyright (c) 1990-93 The Regents of the University of California.
    All rights reserved.  See the file "./copyright.h" for full copyright
    notice, limitation of liability, and disclaimer of warranty provisions.
#include "copyright.h"				COPYRIGHTENDKEY
*/

/*
 * tclRet.c
 */
extern void	topTclRet( Tcl_Interp *ip, char *msg);
/* extern void	topTclRetVa( Tcl_Interp *ip, char *fmt, va_list args); */
extern void	topTclRetFmt( Tcl_Interp *ip, char *fmt, ...);
extern void	topTclAppendResult( Tcl_Interp *ip, char *msg);
extern int	topTclErrFmt( Tcl_Interp *ip, char *fmt, ...);

/* extern void	topTclAppendResultVa( Tcl_Interp *ip, char *fmt, va_list args); */
extern void	topTclAppendResultFmt( Tcl_Interp *ip, char *fmt, ...);

/*
 * tclEval.c
 */
extern void	topTclCaptureMsgsBegin( Tcl_Interp *ip);
extern int	topTclCaptureMsgsEnd( Tcl_Interp *ip);

extern char*	topTclGetRetMsg ARGS((Tcl_Interp *ip, int r));
extern void	topTclBgError ARGS((Tcl_Interp *ip, char *errmsg));
extern int	topTclBgEval ARGS((Tcl_Interp *ip, char *pkg, char *cmd));
extern int	topTclBgEvalVa ARGS_VA((Tcl_Interp *ip, char *pkg,
		  char *fmt, va_list args));
extern int	topTclBgEvalFmt ARGS((Tcl_Interp *ip, char *pkg, 
		  char *fmt, ...));

extern int	topTclEval ARGS((Tcl_Interp *ip, char *pkg, char *cmd));
extern int	topTclEvalVa ARGS_VA((Tcl_Interp *ip, char *pkg, 
		  char *fmt, va_list args));
extern int	topTclEvalFmt ARGS((Tcl_Interp *ip, char *pkg, char *fmt, ...));

extern int	topTclMsgEval ARGS((Tcl_Interp *ip, char *source, char *cmd));
extern int	topTclMsgEvalFmt ARGS((Tcl_Interp *ip, char *source, 
		  char *fmt, ...));

/* 
 * tclMain.c
 */
extern int	topTclMainLoop ARGS((Tcl_Interp *ip, 
		  char *prompt, char *appname, TOPLogical initB));
extern int	topTclSourceInitFile ARGS((Tcl_Interp *ip,
		  char *appname, char *defpath));

/* 
 * tclDh.c
 */
extern void	xpRegisterDataHandler ARGS((Tcl_Interp *ip, char *name, 
		  char *class, TOPPtr pDH));
extern TOPPtr	xpGetDataHandler ARGS((Tcl_Interp *ip, char *name, 
		  char *class, TOPPtr defVal));

/*
 * tkMain.c
 */
extern int	 topTkInitialize1 ARGS_TK((Tcl_Interp *ip,
		  int *argc, char **argv, Tk_Window *pWin));
extern int	topTkInitialize2 ARGS_TK((Tcl_Interp *ip, Tk_Window win,
		  int argc, char **argv));

/*
 * tkMisc.c
 */
extern int	topTkMapCmd ARGS_TK((ClientData cld, Tcl_Interp *ip, 
		  int aC, char **aV));
extern int	topTkUnmapCmd ARGS_TK((ClientData cld, Tcl_Interp *ip,
		  int aC, char **aV));
extern int	topTkMiscRegisterCmds ARGS_TK((Tcl_Interp *ip,
		  Tk_Window appwin));

#endif /* _TOPTCL_H_ */
