#!/bin/sh

# this program, res2c, converts an X reousource file into a format
# that can be complied into a X program for use as fallback resources

# Format: res2c input_file array_name > output_file

if [ $# != 1 ] ; then
    echo Must supply exactly 1 arguments
    exit 1
fi

ARRAYNAME=$1

echo "String $ARRAYNAME [] = {"
sed -e 's/"/\\"/g' \
  -e '/^X/ s/^/"/' -e 's/^/    /' -e '/\\$/ !s/$/",/' \
  -e 's/\\ / /g' \
  -e 's/#replace/#override/' -e 's/#augment/#override/' \
  -e 's/\\n/\\\\n/'
echo "    NULL"
echo '};'
