/* 
    Author: Kennard White

    Copyright (c) 1990-93 The Regents of the University of California.
    All rights reserved.  See the file "./copyright.h" for full copyright
    notice, limitation of liability, and disclaimer of warranty provisions.
#include "copyright.h"				COPYRIGHTENDKEY
*/
#if !defined(lint) && !defined(SABER)
static char rcsid[] = "$Header: /vol/cooley/cooley1/kennard/src/eem/RCS/cplxFmt.c,v 1.2 93/08/27 14:29:42 kennard Exp $";
#endif

#include "topFixup.h"
#include <stdio.h>
#include <math.h>

#include "topStd.h"
#include "topMisc.h"
#include "eemDflt.h"
#include "eemCplx.h"

extern char _EemCplxSubPackage[];
#define SPKG _EemCplxSubPackage

char*
eemCplxFmt( char *buf, EEMComplex *pC, char *fmt) {
    char	*s=buf, *sep=NULL, *fmtr=NULL, *fmti=NULL;

    if ( fmt != NULL && *fmt == '\0' )
	fmt = NULL;
    if ( fmt != NULL ) {
    	fmtr = fmt;
	if ( (sep=strchr(fmt,' ')) == NULL ) {
	    fmti = fmt;
	} else {
	    *sep = '\0';
	    fmti = sep+1;
	}
    }
    if ( pC->i == 0.0 && sep==NULL ) { /* XXX: use eemDfltSameB */
	if ( fmt == NULL ) {
            sprintf( s, EEMParams.DfltFmtStr, pC->r);
	} else {
	    topFmtDbl( s, fmtr, pC->r);
	}
    } else {
	if ( fmt == NULL ) {
	    sprintf( s, EEMParams.CplxFmtStr, pC->r, pC->i);
	} else {
	    topFmtDbl( s, fmtr, pC->r);
	    s += strlen(buf);
	    *s++ = ' ';
	    topFmtDbl( s, fmti, pC->i);
	}
    }
    if ( sep != NULL )
        *sep = ' ';

    s += strlen(s);
    return s;
}
