#if !defined(_EEMDFT_H_)
#define _EEMDFT_H_ 1
/* 
    RCS: $Header: /vol/cooley/cooley1/kennard/src/eem/RCS/eemDft.h,v 1.2 93/08/27 14:29:22 kennard Exp $
    Author: Kennard White

    Copyright (c) 1990-93 The Regents of the University of California.
    All rights reserved.  See the file "./copyright.h" for full copyright
    notice, limitation of liability, and disclaimer of warranty provisions.
#include "copyright.h"				COPYRIGHTENDKEY
*/

#if !defined(_TOPVEC_H_) && __TOP_AUTOINCLUDE__
#include "topVec.h"
#endif

#if !defined(_EEMDFLT_H_) && __TOP_AUTOINCLUDE__
#include "eemDflt.h"
#endif

#if !defined(_EEMCPLX_H_) && __TOP_AUTOINCLUDE__
#include "eemCplx.h"
#endif

typedef enum _EEMWindowType EEMWindowType;
enum _EEMWindowType {
    EEMWinType_Null, EEMWinType_Rectangle,
    EEMWinType_Bartlett,
    EEMWinType_Hanning,
    EEMWinType_Hamming,
    EEMWinType_Blackman,
    EEMWinType_SteepBlackman,
};

extern EEMComplex* eemDftGetTwiddles( int N, int dir);
extern void	 eemDftCplx( int N, int dir, EEMComplex *pIn, EEMComplex *pOut);
extern void	eemDftCplxVec( int dir, TOPVector *pIn, TOPVector *pOut);

extern EEMWindowType eemWindowNameToType( char *wn);

extern TOPLogical eemWindowCoef( EEMWindowType wt, int N, double *pVals);
extern TOPLogical eemWindowCoefVec( EEMWindowType wt, TOPVector *pOut);

#endif /* _EEMDFT_H_ */
