#
# binomial number test
#

proc factorial { n } {
    return [dflt -int factorial $n]
}

proc binomial { n k } {
    return [dflt -int binomial $n $k]
}

proc bintest { {N 5} } {
    for {set n 0} {$n < $N} {incr n} {
	puts stdout "n=$n\t" no
        for {set k 0} {$k < $n} {incr k} {
	    set bval [binomial $n $k]
	    set nmink [expr { $n - $k }]
	    set fval [expr { [factorial $n] 
	      / [factorial $k] / [factorial $n-$k] } ]
	    puts stdout [format " %4d" $bval] no
	    if { $bval != $fval } {
		puts stdout "Wrong Answer: $n $k $bval $fval"
	    }
	}
	puts stdout ""
    }
}
