/**
**/

#include "topFixup.h"
#include <stdio.h>
#include <math.h>
#include "tcl.h"

#include "topStd.h"
#include "topMem.h"
#include "topTcl.h"

#include "eemDflt.h"
#include "eemCplx.h"
#include "eemSilar.h"
#include "eemPoly.h"
#include "eemPfe.h"

int
main( int argc, char **argv) {
    Tcl_Interp		*ip;
#ifdef notdef
    int                 i;
    EEMPolyCplx          *pP, *pR;

#endif    
    ip = Tcl_CreateInterp();
    eemCplxRegisterCmds(ip);
#ifdef notdef
    pP = MEM_ALLOC(EEMPolyCplx);
    eemPolyCplxConstructor( pP);

    pR = MEM_ALLOC(EEMPolyCplx);
    eemPolyCplxConstructor( pR);

    EEM_POLYCPLX_Num(pP) = 5;
    EEM_POLYCPLX_Num(pR) = 5;

    for (i=0; i< 5; i++){
        EEM_POLYCPLX_Get(pP, i).r = (double)i+1.0;
        EEM_POLYCPLX_Get(pP, i).i = (double)i+2.0;
        EEM_POLYCPLX_Get(pR, i).r = (double)i*2.0;
        EEM_POLYCPLX_Get(pR, i).i = (double)i*5.0;
    }

    eemPolyCplxMul2(pP, pR);
    eemPolyCplxDestructor( pR);
    eemPolyCplxDestructor( pP);
#endif
    topMsgRegisterCmds(ip);
    eemPolyCplxRegisterCmds(ip);
    topTclMainLoop(ip, "pfetest> ", NULL);
    exit(0);
}
