/* 
    Author: Kennard White

    Copyright (c) 1990-93 The Regents of the University of California.
    All rights reserved.  See the file "./copyright.h" for full copyright
    notice, limitation of liability, and disclaimer of warranty provisions.
#include "copyright.h"				COPYRIGHTENDKEY
*/
#if !defined(lint) && !defined(SABER)
static char rcsid[] = "$Header: /vol/cooley/cooley1/kennard/src/top/RCS/topMisc.c,v 1.2 93/08/27 14:29:12 kennard Exp $";
#endif

#include "topFixup.h"
#include "topStd.h"

extern int sys_nerr;
extern char *sys_errlist[];

/*
 * Some global variables may or may not be useful.
 */

/*
 * XServerFix requests that a work around be used for 
 * a SparcStation X server bug with XDrawLines().
 */
/*global*/ TOPLogical TOPXServerFixB = TOP_FALSE;

char* 
topStrError(error)
    int			error;
{
    static char		defaultMsg[100];

    if ( error < 0 || error >= sys_nerr ) {
	sprintf(defaultMsg, "unknown system error (%d)", error);
	return defaultMsg;
    }
    return sys_errlist[error];
}

char*
topBasename(path)
    char		*path;
{
    char		*base;

    if ( path == NULL || path[0] == '\0' ) {
	return "UnknownName";
    }
    if ( (base=strrchr(path,'/')) == NULL ) {
	base = path;
    } else {
	++base;
    }
    return base;
}

